Upstash Documentation

Get Flow Control Key

Get details of a specific Flow Control key
1 min read
get/v2/flowControl/{flowControlKey}
Request example
Response
get/v2/flowControl/{flowControlKey}

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Path parameters

flowControlKeystringrequired#
The Flow Control key to retrieve

Responses

application/json
Flow control key details
flowControlKeystring#
The flow control key name
waitListSizeinteger#
The number of messages waiting due to flow control configuration.
parallelismMaxinteger#
The configured maximum number of messages allowed to run concurrently, if parallelism is set.
parallelismCountinteger#
The current number of messages running in parallel.
rateMaxinteger#
The configured maximum number of messages allowed per rate period, if rate limiting is set.
rateCountinteger#
The number of messages dispatched in the current rate period.
ratePeriodinteger#
The length of the rate period in seconds.
ratePeriodStartinteger#
Unix timestamp (seconds) when the current rate period started.
isPinnedParallelismboolean#
True if the flow-control key has a pinned parallelism configuration.
isPinnedRateboolean#
True if the flow-control key has a pinned rate configuration.
isPausedboolean#
True if the delivery of messages associated with the flow-control key is paused.